#ifndef __AP_CHARACTER_H__
#define __AP_CHARACTER_H__

#include <glib-object.h>

G_BEGIN_DECLS

#define AP_TYPE_CHARACTER (ap_character_get_type ())

G_DECLARE_FINAL_TYPE (APCharacter, ap_character, AP, CHARACTER, GObject)

APCharacter *
ap_character_new (void);

void
ap_character_add_stat (void);

void
ap_character_get_stat_with_name (void);

GList *
ap_character_get_stats (void);

void
ap_character_add_attack (void);

void
ap_character_get_attack_with_name (void);

GList *
ap_character_get_attacks (void);

void
ap_character_add_inventory (void);

GList *
ap_character_get_inventory (void);

G_END_DECLS

#endif /* __AP_CHARACTER_H__ */

