#include <adventure-pack.h>

int
main (int    argc,
      char **argv)
{
    APCharacter *character;
    APAbility *ability;
    APSkill *skill;
    //APAttack * attack;

    character = ap_character_new ();

    /* Add Ability */
    ability = g_object_new (AP_TYPE_ABILITY,
                            "name", "strength",
                            "label", "Strength",
                            "score", 15,
                            "bonus", 0,
                            NULL);

    ap_character_add_ability (character, ability);

    ability = g_object_new (AP_TYPE_ABILITY,
                            "name", "dexterity",
                            "label", "Dexterity",
                            "score", 1,
                            "bonus", 0,
                            NULL);

    ap_character_add_ability (character, ability);

    /* Add Skill */
    skill = g_object_new (AP_TYPE_SKILL,
                          "name", "acrobatics",
                          "label", "Acrobatics",
                          "modifier", "strength",
                          "bonus", 0,
                          "proficient", TRUE,
                           NULL);

    ap_character_add_skill (character, skill);

    /* Add Attack */
    /*
    attack = g_object_new (AP_TYPE_ATTACK,
                           "name", "slash",
                           "label", "Slash",
                           "type", "slash",
                           "damage", 10,
                           "critical", 20,
                           "range", 1,
                           "ammo", 0,
                           "bonus", 0,
                           NULL);

    ap_character_add_attack (character, attack);
    */
    ap_character_print (character);




    /*
    APSheet *sheet;

    sheet = ap_sheet_new ();

    ap_sheet_add_characteristic (sheet, "first_name", "First Name", "Rick");
    ap_sheet_add_characteristic (sheet, "last_name", "Last Name", "Sanchez");
    ap_sheet_add_attribute (sheet, "xp", "XP", 100);
    ap_sheet_add_ability (sheet, "strength", "Strength", 14);
    ap_sheet_add_ability (sheet, "dexterity", "Dexterity", 10);
    ap_sheet_add_ability (sheet, "constitution", "Constitution", 10);
    ap_sheet_add_ability (sheet, "intelligence", "Intelligence", 10);
    ap_sheet_add_ability (sheet, "wisdom", "Wisdom", 10);
    ap_sheet_add_ability (sheet, "charisma", "Charisma", 10);


    g_print ("Name: %s %s\n", ap_sheet_get_characteristic_value (sheet, "first_name"), ap_sheet_get_characteristic_value (sheet, "last_name"));
    */
    // g_print ("Strength: %s\n", ap_sheet_get_characteristic (sheet, "strength"));
    // g_print ("Strength: %i\n", ap_sheet_get_characteristic (sheet, "strength"));

    //xmlNode *bio;

    //bio = xmlNewNode (NULL, xmlCharStrdup ("bio"));
    //xmlNewChild (bio, NULL, xmlCharStrdup ("name"), xmlCharStrdup ("First Last"));

    //ap_sheet_add_section_with (sheet, NULL, bio);

    //ap_sheet_save_to_current_file (sheet);

    //ap_sheet_load_from_file (sheet, "example.xml");

    //sections = ap_sheet_get_sections (sheet);

    //section = ap_sheet_get_section_by_name (sheet, "bio");

    // Create bio from XML
    //APBio = bio ap_bio_new_from_xml (section);
    //ap_bio_set_field (bio, "name", "First Last");
    //XmlDoc bio_xml = ap_bio_get_xml (bio);

    // Set section with created XML
    //ap_sheet_set_section_with (sheet, "bio", bio_xml);

    //ap_sheet_save_to_current_file (sheet);

    //ap_sheet_save_to_file (sheet, "example.xml");

    /*

    ap_sheet_add_characteristic (sheet, "xp", "100");
    ap_sheet_add_characteristic (sheet, "strength", "14");
    ap_sheet_add_characteristic (sheet, "dexterity", "10");
    ap_sheet_add_characteristic (sheet, "constitution", "10");
    ap_sheet_add_characteristic (sheet, "intelligence", "10");
    ap_sheet_add_characteristic (sheet, "wisdom", "10");
    ap_sheet_add_characteristic (sheet, "charisma", "10");

    ap_sheet_add_characteristic (sheet, "xp", 100);
    ap_sheet_add_characteristic (sheet, "strength", 14);
    ap_sheet_add_characteristic (sheet, "dexterity", 10);
    ap_sheet_add_characteristic (sheet, "constitution", 10);
    ap_sheet_add_characteristic (sheet, "intelligence", 10);
    ap_sheet_add_characteristic (sheet, "wisdom", 10);
    ap_sheet_add_characteristic (sheet, "charisma", 10);

    */

    return 0;
}
